Package logsparser :: Module normalizer :: Class TagType

[frames] | no frames]

# Class TagType

source code

    object --+
             |
            TagType

A tag type. This defines how to match a given tag.

Instance Methods

__init__(self, name, ttype, regexp, description=`{``}`, flags=34) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, ttype, regexp, description=`{``}`, flags=34)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `name` - the tag type's name
  - `ttype` - the expected type of the value fetched by the associated regular expression
  - `regexp` - the regular expression (as text, not compiled) associated to this type
  - `description` - a dictionary holding multilingual descriptions of the tag type
  - `flags` - flags by which to compile the regular expression
Overrides: object.__init__